Insight
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all environments insight variables
Required API key scopes
insight_variable:readPath parameters
- environment_idstring
Query parameters
- pageinteger
Response
Example request
GET /api /environments /:environment_id /insight_variablesExample response
Status 200
RESPONSE
Create environments insight variables
Required API key scopes
insight_variable:writePath parameters
- environment_idstring
Request parameters
- namestring
- type
- default_value
- values
Response
Example request
POST /api /environments /:environment_id /insight_variablesExample response
Status 201
RESPONSE
Retrieve environments insight variables
Required API key scopes
insight_variable:readPath parameters
- environment_idstring
- idstring
Response
Example request
GET /api /environments /:environment_id /insight_variables /:idExample response
Status 200
RESPONSE
Update environments insight variables
Required API key scopes
insight_variable:writePath parameters
- environment_idstring
- idstring
Request parameters
- namestring
- type
- default_value
- values
Response
Example request
PATCH /api /environments /:environment_id /insight_variables /:idExample response
Status 200
RESPONSE
Delete environments insight variables
Required API key scopes
insight_variable:writePath parameters
- environment_idstring
- idstring
Example request
DELETE /api /environments /:environment_id /insight_variables /:idExample response
Status 204 No response body
List all insight variables
Required API key scopes
insight_variable:readPath parameters
- project_idstring
Query parameters
- pageinteger
Response
Example request
GET /api /projects /:project_id /insight_variablesExample response
Status 200
RESPONSE
Create insight variables
Required API key scopes
insight_variable:writePath parameters
- project_idstring
Request parameters
- namestring
- type
- default_value
- values
Response
Example request
POST /api /projects /:project_id /insight_variablesExample response
Status 201
RESPONSE
Retrieve insight variables
Required API key scopes
insight_variable:readPath parameters
- idstring
- project_idstring
Response
Example request
GET /api /projects /:project_id /insight_variables /:idExample response
Status 200
RESPONSE
Update insight variables
Required API key scopes
insight_variable:writePath parameters
- idstring
- project_idstring
Request parameters
- namestring
- type
- default_value
- values
Response
Example request
PATCH /api /projects /:project_id /insight_variables /:idExample response
Status 200
RESPONSE
Delete insight variables
Required API key scopes
insight_variable:writePath parameters
- idstring
- project_idstring
Example request
DELETE /api /projects /:project_id /insight_variables /:id